## GstFFMpegVidEnc

GstFFMpegVidEnc

## Types and Values

struct | GstFFMpegVidEnc
struct | GstFFMpegVidEncClass

## Description

## Functions

## Types and Values

### struct GstFFMpegVidEnc

    struct GstFFMpegVidEnc {
      GstVideoEncoder parent;

      GstVideoCodecState *input_state;

      AVCodecContext *context;
      AVFrame *picture;
      gboolean opened;
      gboolean discont;
      guint pass;
      gfloat quantizer;

      /* statistics file */
      gchar *filename;
      FILE *file;

      /* cache */
      guint8 *working_buf;
      gsize working_buf_size;

      AVCodecContext *refcontext;
    };

### struct GstFFMpegVidEncClass

    struct GstFFMpegVidEncClass {
      GstVideoEncoderClass parent_class;

      AVCodec *in_plugin;
      GstPadTemplate *srctempl, *sinktempl;
    };